Bug 883 - Unicode -> koi8-r recoding table for TrueType is broken in XFree86-3.3.3-11
Unicode -> koi8-r recoding table for TrueType is broken in XFree86-3.3.3-11
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-01-19 15:23 EST by Leonid Kanter
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-06-17 13:06:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonid Kanter 1999-01-19 15:23:45 EST
Unicode -> koi8-r recoding table for TrueType is broken.
Here is my patch:

--- XFree86-3.3.3.1/xc.orig/lib/font/FreeType/ftenc.c   Fri
Oct  19:48:46 1998
+++ XFree86-3.3.3.1/xc/lib/font/FreeType/ftenc.c        Sun
Jan 17 23:15:37 1999@@ -401,7 +401,7 @@
   0x042C, 0x042B, 0x0417, 0x0428, 0x042D, 0x0429,
0x0427,0x042A};

 static struct ttf_simple_remapping koi8_r_to_unicode_map=
-{ 0xA0, 0x100, koi8_r_tophalf };
+{ 0x80, 0x100, koi8_r_tophalf };


 static struct ttf_encoding_alternative koi8_r[]=
Comment 1 Cristian Gafton 1999-06-17 12:46:59 EDT
Is this still valid?
assigned to pbrown
Comment 2 Cristian Gafton 1999-06-17 13:06:59 EDT
Reports came in that the bug is fixed in RH 6.0

Note You need to log in before you can comment on or make changes to this bug.